import { JSXElement, Show, useContext } from "solid-js";

import { LoginContext } from "../../Context/GlobalState";
import { ReportIcon } from "../../Util/Icons";

export default function ReportButton(): JSXElement {
  const login_ctx = useContext(LoginContext)!;
  return (
    <Show when={login_ctx.loggedIn()}>
      <div class="flex p-1">
        <button
          class="rounded-base btn btn-xs hover:border-primary"
          aria-label="Report post or comment"
        >
          <ReportIcon />
        </button>
      </div>
    </Show>
  );
}
